package com.happy.dao;

import com.happy.Model.AdminManager;
import com.happy.dto.townshipCountDTO;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

public interface AdminManagerDao {

    /**
     * 描述：新增
     * @param adminManager
     * @return
     */
    int insertAdmin(AdminManager adminManager);

    /**
     * 描述：修改
     * @param adminManager
     * @return
     */
    int updateAdmin(AdminManager adminManager);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delAdmin(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    AdminManager getById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    List<AdminManager> queryPage(String sqlx, int page, int rows);


    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<AdminManager> queryList(String sqlx);

    /**
     * 描述：获取各乡俗民宿级别数量
     * @return
     */
    List<townshipCountDTO> getTownshipCount();

    /**
     * 描述：获取各乡镇剩余房数
     * @return
     */
    List<townshipCountDTO> getResidueCount();

}
